## error

error

## Functions

GQuark | libinsane_error_quark ()

## Types and Values

#define | LIBINSANE_ERROR
enum | LibinsaneError

## Description

## Functions

### libinsane_error_quark ()

    GQuark
    libinsane_error_quark (void);

## Types and Values

### LIBINSANE_ERROR

    #define LIBINSANE_ERROR libinsane_error_quark()

Error domain for libinsane operations. Errors in this domain will be from the LibinsaneError enumeration. See GError for information on error domains.

### enum LibinsaneError

#### Members

LIBINSANE_ERROR_OK |  |
LIBINSANE_ERROR_CANCELLED |  |
LIBINSANE_ERROR_DEVICE_BUSY |  |
LIBINSANE_ERROR_UNSUPPORTED |  |
LIBINSANE_ERROR_INVALID_VALUE |  |
LIBINSANE_ERROR_JAMMED |  |
LIBINSANE_ERROR_COVER_OPEN |  |
LIBINSANE_ERROR_IO_ERROR |  |
LIBINSANE_ERROR_NO_MEM |  |
LIBINSANE_ERROR_ACCESS_DENIED |  |
LIBINSANE_ERROR_HW_IS_LOCKED |  |
LIBINSANE_ERROR_INTERNAL_IMG_FORMAT_NOT_SUPPORTED |  |
LIBINSANE_ERROR_INTERNAL_NOT_IMPLEMENTED |  |
LIBINSANE_ERROR_INTERNAL_UNKNOWN_ERROR |  |
LIBINSANE_ERROR_OFFLINE |  |